using System;

namespace _1
{
    class Program
    {
        static void Citaj(out int[] x, int n)
        {
            x = new int[n + 1];
            string[] s = Console.ReadLine().Split();
            for(int i = 0; i < n; i++)
            {
                x[i] = int.Parse(s[i]);
            }
        }
        static void Main(string[] args)
        {
            string[] s = Console.ReadLine().Split();
            int n=int.Parse(s[0]), k = int.Parse(s[1]);
            int[] x;
            Citaj(out x, n);
            for(int i = 0; i < n; i++)
            {
                if (x[i] == k)
                {
                    if (i != n - 1)
                        Console.WriteLine(x[i + 1]);
                    else
                        Console.Write(x[0]);
                }
            }
        }
    }
}